ODFIMGIMPORT(1)

Name
odfimgimport - Import external images

Synopsis

odfimgimport [-q] [-o outputfile] [inputfile]

Description

If you copy and paste html from your webbrowser to your word processor, the pictures in the pasted text will still load the images from the Internet. This script will import all images into the OpenDocument file.

If you don't provide an input file, the program will read from stdin. If the program reads from stdin, it might not know how to resolve relative filenames. If you don't provide an output file, the program will import the pictures into the input file.

Options

-q
    If there are images that can't be imported, odfimgimport will write how many has failed. The -q flag will prevent that.

-v
    Verbose: Prints the URL of every image it tries to import and the result.

-o outputfile
    The file to save the output to. "-" is stdout. Defaults to the input file.

Example

    odfimgimport -v -o newfile.odt oldfile.odt

Author

Søren Roug
    Original author